%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-IO-AIO
Version:       4.32
Release:       1mamba
Summary:       IO::AIO - Asynchronous Input/Output
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/IO-AIO-%{version}.tar.gz
License:       Artistic, GPL
Requires:      perl >= %perl_major_ver
BuildRequires: libgdbm-devel
BuildRequires: libdb47-devel
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel >= %perl_major_ver
## AUTOBUILDREQ-END

BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module implements asynchronous I/O using whatever means your operating system supports.

%prep

%setup -q -n IO-AIO-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make 
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 4.32-1mamba
- automatic update by autodist

* Sun Jun 22 2014 Automatic Build System <autodist@mambasoft.it> 4.31-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.18-2mamba
- perl 5.16 mass rebuild

* Wed Oct 24 2012 Automatic Build System <autodist@mambasoft.it> 4.18-1mamba
- automatic version update by autodist

* Thu Apr 26 2012 Automatic Build System <autodist@mambasoft.it> 4.15-1mamba
- automatic version update by autodist

* Mon Jul 18 2011 Automatic Build System <autodist@mambasoft.it> 4.0-1mamba
- automatic update by autodist

* Fri Jul 03 2009 Automatic Build System <autodist@mambasoft.it> 3.261-1mamba
- automatic update by autodist

* Mon Jun 22 2009 Automatic Build System <autodist@mambasoft.it> 3.23-1mamba
- automatic update by autodist

* Tue May 05 2009 Automatic Build System <autodist@mambasoft.it> 3.19-1mamba
- automatic update by autodist

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.17-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.05-2mamba
- automatic rebuild by autodist

* Wed Jul 02 2008 gil <puntogil@libero.it> 3.05-1mamba
- package created by autospec
